- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get#body.aspect)

Returns the specified location as last set by the merchant. It may not reflect updates from Google or user-generated content that are live on Google Maps.

### HTTP request

`GET https://mybusinessbusinessinformation.googleapis.com/v1/{name=locations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the location to fetch. |

### Query parameters

| Parameters ||
|---|---|
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Read mask to specify what fields will be returned in the response. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations#Location`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).